Page MenuHomePhabricator

Viewing diffs throws 503@beta
Closed, ResolvedPublic

Description

http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Selenium_language_test_page&curid=19717&diff=343626&oldid=343621:

Request from <my IP> via deployment-cache-text04 deployment-cache-text04, Varnish XID 669382097
Error: 503, Service Unavailable at Mon, 25 Jul 2016 16:17:19 GMT

Checked at dewiki@beta too, throws the same error. Reported from at least one user too: https://de.wikipedia.org/wiki/Benutzer_Diskussion:Luke081515#Kannst_du_mir_da_eventuell_helfen.3F

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2016, 4:20 PM
Luke081515 triaged this task as Unbreak Now! priority.Jul 25 2016, 4:20 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 25 2016, 4:20 PM
Reedy added a subscriber: Reedy.Jul 25 2016, 4:35 PM
2016-07-25 16:34:28 [V5Y-lApEEH8AAFjzP48AAAAJ] deployment-mediawiki02 enwiki 1.28.0-alpha fatal ERROR: [15b5d9cc] PHP Fatal Error: Couldn't find constant DifferenceEngine::MW_DIFF_VERSION {"exception_id":"15b5d9cc"} 
[Exception ErrorException] (/srv/mediawiki/php-master/includes/diff/DifferenceEngine.php:782) PHP Fatal Error: Couldn't find constant DifferenceEngine::MW_DIFF_VERSION
  #0 /srv/mediawiki/php-master/includes/diff/DifferenceEngine.php(782): NO_FUNCTION_GIVEN()
  #1 /srv/mediawiki/php-master/includes/diff/DifferenceEngine.php(729): DifferenceEngine->getDiffBodyCacheKey()
  #2 /srv/mediawiki/php-master/includes/diff/DifferenceEngine.php(684): DifferenceEngine->getDiffBody()
  #3 /srv/mediawiki/php-master/includes/diff/DifferenceEngine.php(654): DifferenceEngine->getDiff(string, string, string)
  #4 /srv/mediawiki/php-master/includes/diff/DifferenceEngine.php(456): DifferenceEngine->showDiff(string, string, string)
  #5 /srv/mediawiki/php-master/includes/page/Article.php(783): DifferenceEngine->showDiffPage(boolean)
  #6 /srv/mediawiki/php-master/includes/page/Article.php(498): Article->showDiffPage()
  #7 /srv/mediawiki/php-master/includes/actions/ViewAction.php(44): Article->view()
  #8 /srv/mediawiki/php-master/includes/MediaWiki.php(504): ViewAction->show()
  #9 /srv/mediawiki/php-master/includes/MediaWiki.php(288): MediaWiki->performAction(Article, Title)
  #10 /srv/mediawiki/php-master/includes/MediaWiki.php(748): MediaWiki->performRequest()
  #11 /srv/mediawiki/php-master/includes/MediaWiki.php(520): MediaWiki->main()
  #12 /srv/mediawiki/php-master/index.php(43): MediaWiki->run()
  #13 /srv/mediawiki/w/index.php(3): include(string)
  #14 {main}

Change 300899 had a related patch set uploaded (by Reedy):
MW_DIFF_VERSION is globally defined, drop MW_ prefix when used as the class constant

https://gerrit.wikimedia.org/r/300899

Change 300899 merged by jenkins-bot:
MW_DIFF_VERSION is globally defined, drop MW_ prefix when used as the class constant

https://gerrit.wikimedia.org/r/300899

Luke081515 closed this task as Resolved.Jul 25 2016, 4:57 PM
Luke081515 claimed this task.

Checked, works.

Restricted Application added a project: User-Luke081515. · View Herald TranscriptJul 25 2016, 4:57 PM
Luke081515 reassigned this task from Luke081515 to Reedy.Jul 25 2016, 4:57 PM
Luke081515 removed a project: User-Luke081515.